Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Class EditCtrlConverter

    java.lang.Object
      com.tonbeller.wcf.convert.NodeConverterBase
          com.tonbeller.wcf.convert.EditCtrlConverter

All Implemented Interfaces:
  NodeConverter

public class EditCtrlConverter
extends NodeConverterBase

converts user input for a Edit control

Author:
  av
See Also:
  `com.tonbeller.wcf.ui.Edit`

Constructor Summary
`EditCtrlConverter()`

Method Summary
`void` | `convert(Formatter formatter, java.util.Map param, java.util.Map fileSource, org.w3c.dom.Element element, java.lang.Object bean)` updates a bean property as well as the value attribute of element
`void` | `convert(Formatter formatter, java.lang.Object bean, org.w3c.dom.Element element)` initializes the value attribute of element from a bean property.

Methods inherited from class com.tonbeller.wcf.convert.NodeConverterBase
`checkRequired, getElementName, setElementName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditCtrlConverter

    public EditCtrlConverter()

Method Detail

### convert

    public void convert(Formatter formatter,
                        java.util.Map param,
                        java.util.Map fileSource,
                        org.w3c.dom.Element element,
                        java.lang.Object bean)
                 throws FormatException,
                        java.lang.IllegalAccessException,
                        java.lang.NoSuchMethodException,
                        java.lang.reflect.InvocationTargetException

  updates a bean property as well as the value attribute of element

  Parameters:
    `formatter` - Formatter to be used to parse and format user input
    `param` - a map containing http parameters. key = String, value = String[]
    `element` - a DOM tree containing UI elements like TextField etc including the following attributes:
    - `type` the data type, i.e. the id to find the formatter
    - `value` the formatted value will be written to this attribute
    - `formatString` optional, overwrites the default formatString of the FormatHandler
    - `modelReference` optional, if present the attribute name of the bean property. a jakarta-commons/bean-utils path is supported
    - `id` unique id. Used to identify DOM elements from HTTP Parameters
  Throws:
    `FormatException`
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchMethodException`
    `java.lang.reflect.InvocationTargetException`

### convert

    public void convert(Formatter formatter,
                        java.lang.Object bean,
                        org.w3c.dom.Element element)
                 throws java.lang.IllegalAccessException,
                        java.lang.NoSuchMethodException,
                        java.lang.reflect.InvocationTargetException

  initializes the value attribute of element from a bean property.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchMethodException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD